Saxon API for .NET |

# SchemaManager.Compile Method (Uri)

Compile a schema, retrieving the source using a URI. The resulting schema components are added to the cache.

public void Compile(
Uri uri
);

#### Parameters

uri
  The URI identifying the location where the schema document can be found

#### Remarks

The document located via the URI is parsed using the `System.Xml` parser.

#### See Also

SchemaManager Class | Saxon.Api Namespace | SchemaManager.Compile Overload List